CVE-2024-34069

CVSS 3.1 Score 7.5 of 10 (high)

Details

Published May 6, 2024
CWE ID 352

Summary

CVE-2024-34069 is a vulnerability in the Werkzeug library, a web application library. The affected versions of Werkzeug contain a debugger that can be exploited by an attacker to execute code on a developer's machine. To exploit this vulnerability, the attacker needs the developer to interact with a domain and subdomain they control and enter the debugger PIN. If successful, the attacker gains access to the debugger, even if it is running only on localhost. This requires guessing a URL in the developer's application that triggers the debugger. The vulnerability has been fixed in version 3.0.3 of Werkzeug.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-34069 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options